# Generated by Django 4.1.4 on 2022-12-29 21:05

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("game", "0036_player_main_player_offhand"),
    ]

    operations = [
        migrations.AddField(
            model_name="player",
            name="coat",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_coat",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="gloves",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_gloves",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="hat",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_hat",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="mask",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_mask",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="pants",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_pants",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="shirt",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_shirt",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="socks",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_socks",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="talisman1",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_talisman1",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="talisman2",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_talisman2",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="talisman3",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_talisman3",
                to="game.item",
            ),
        ),
        migrations.AddField(
            model_name="player",
            name="talisman4",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="player_talisman4",
                to="game.item",
            ),
        ),
    ]
